spa_chunk Struct Reference
SPA » Buffers

Chunk of memory, can change for each buffer. More...

## Data Fields

uint32_t | offset
| offset of valid data. More...
uint32_t | size
| size of valid data. More...
int32_t | stride
| stride of valid data More...
int32_t | flags
| chunk flags More...

## Detailed Description

Chunk of memory, can change for each buffer.

Examples
  spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, and spa/examples/local-v4l2.c.

## Field Documentation

## offset

uint32_t spa_chunk::offset

offset of valid data.

Should be taken modulo the data maxsize to get the offset in the data memory.

Examples
  audio-src.c, export-source.c, tutorial4.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## size

uint32_t spa_chunk::size

size of valid data.

Should be clamped to maxsize.

Examples
  audio-src.c, export-source.c, tutorial4.c, tutorial5.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## stride

int32_t spa_chunk::stride

stride of valid data

Examples
  audio-src.c, export-sink.c, export-source.c, local-v4l2.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, tutorial4.c, video-dsp-play.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## flags

int32_t spa_chunk::flags

chunk flags

The documentation for this struct was generated from the following file:

- spa/buffer/buffer.h